cURL
curl --request POST \ --url https://studio.edgeimpulse.com/v1/api/portals/{portalId}/files/rename \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "oldPath": "<string>", "newPath": "<string>" } '
{ "success": true, "error": "<string>" }
Rename a file on an upload portal (requires JWT auth).
Documentation IndexFetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txt
Use this file to discover all available pages before exploring further.
Portal ID
S3 path (within the portal)
OK
Whether the operation succeeded
Optional error description (set if 'success' was false)
Was this page helpful?